Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08466 Graphics Minor Always Oct 23, 2022, 18:39 Dec 23, 2022, 23:16
Tester newiln2 View Status Public Platform MAME (Official Binary)
Assigned To wilbert Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver
Version 0.248 Fixed in Version 0.251 Build 64-bit
Fixed in Git Commit 8f96939 Github Pull Request # #10619
Summary 08466: fsa1fx [spmanbow]: Choppy scrolling
Description The background in Space Manbow is supposed to scroll smoothly when played on an MSX2 or MSX2+, as seen in the video below:

&t=184s

Scrolling is noticeably choppier when the game is played with this driver. Even the nms8250 driver exhibits smoother scrolling.
Steps To Reproduce Launch fsa1fx with msx2_cart:spmanbow.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems fsa1fx [spmanbow]
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.20665
Fujix
Administrator
Oct 24, 2022, 06:02
This is common for all MSX2+ machines with V9958 VDP which has a hardware horizontal scroll function. It's not fully emulated.
User avatar
No.20890
cuavas
Administrator
Dec 2, 2022, 13:29
Should be fixed by 8f9693959e525f00b29883344e0c9b7c6bbc1e55 (PR #10619).